Search for %s
- Search 9.5.x for %s
- Search 8.9.x for %s
- Search 10.3.x for %s
- Search 11.x for %s
- Search main for %s
- Other projects
| Title | Object type | File name | Summary |
|---|---|---|---|
| drupal_find_theme_functions | function | includes/ |
Allows themes and/or theme engines to discover overridden theme functions. |
| drupal_find_theme_templates | function | includes/ |
Allows themes and/or theme engines to easily discover overridden templates. |
| drupal_flush_all_caches | function | includes/ |
Flushes all cached data on the site. |
| drupal_form_submit | function | includes/ |
Retrieves, populates, and processes a form. |
| drupal_generate_test_ua | function | includes/ |
Generates a user agent string with a HMAC and timestamp for simpletest. |
| drupal_get_bootstrap_phase | function | includes/ |
Returns the current bootstrap phase for this Drupal process. |
| drupal_get_complete_schema | function | includes/ |
Gets the whole database schema. |
| drupal_get_css | function | includes/ |
Returns a themed representation of all stylesheets to attach to the page. |
| drupal_get_database_types | function | includes/ |
Returns all supported database installer objects that are compiled into PHP. |
| drupal_get_destination | function | includes/ |
Prepares a 'destination' URL query parameter for use with drupal_goto(). |
| drupal_get_feeds | function | includes/ |
Gets the feed URLs for the current page. |
| drupal_get_filetransfer_info | function | includes/ |
Assembles the Drupal FileTransfer registry. |
| drupal_get_hash_salt | function | includes/ |
Gets a salt useful for hardening against SQL injection. |
| drupal_get_installed_schema_version | function | includes/ |
Returns the currently installed schema version for a module. |
| drupal_get_js | function | includes/ |
Returns a themed presentation of all JavaScript code for the current page. |
| drupal_get_messages | function | includes/ |
Returns all messages that have been set with drupal_set_message(). |
| drupal_get_path_alias | function | includes/ |
Given an internal Drupal path, return the alias set by the administrator. |
| drupal_get_query_parameters | function | includes/ |
Processes a URL query parameter array to remove unwanted elements. |
| drupal_get_rdf_namespaces | function | includes/ |
Returns a string containing RDF namespace declarations for use in XML and XHTML output. |
| drupal_get_schema | function | includes/ |
Gets the schema definition of a table, or the whole database schema. |
| drupal_get_schema_unprocessed | function | includes/ |
Returns the unprocessed and unaltered version of a module's schema. |
| drupal_get_schema_versions | function | includes/ |
Returns an array of available schema versions for a module. |
| drupal_get_updaters | function | includes/ |
Assembles the Drupal Updater registry. |
| drupal_get_user_timezone | function | includes/ |
Returns the time zone of the current user. |
| drupal_group_css | function | includes/ |
Default callback to group CSS items. |
| drupal_hash_base64 | function | includes/ |
Calculates a base-64 encoded, URL-safe sha-256 hash. |
| DRUPAL_HASH_COUNT | constant | includes/ |
The standard log2 number of iterations for password stretching. This should increase by 1 every Drupal version in order to counteract increases in the speed and power of computers available to crack the hashes. |
| DRUPAL_HASH_LENGTH | constant | includes/ |
The expected (and maximum) number of characters in a hashed password. |
| drupal_hmac_base64 | function | includes/ |
Calculates a base-64 encoded, URL-safe sha-256 hmac. |
| drupal_html_class | function | includes/ |
Prepares a string for use as a valid class name. |
| drupal_http_header_attributes | function | includes/ |
Formats an attribute string for an HTTP header. |
| drupal_http_request | function | includes/ |
Performs an HTTP request. |
| drupal_implode_tags | function | includes/ |
Implodes an array of tags into a string. |
| drupal_installation_attempted | function | includes/ |
Returns TRUE if a Drupal installation is currently being attempted. |
| drupal_install_fix_file | function | includes/ |
Attempts to fix file permissions. |
| drupal_install_mkdir | function | includes/ |
Creates a directory with the specified permissions. |
| drupal_install_profile_distribution_name | function | includes/ |
Loads the installation profile, extracting its defined distribution name. |
| drupal_install_schema | function | includes/ |
Creates all tables defined in a module's hook_schema(). |
| drupal_install_system | function | includes/ |
Installs the system module. |
| drupal_is_cli | function | includes/ |
Detects whether the current script is running in a command-line environment. |
| drupal_is_denied | function | includes/ |
Checks to see if an IP address has been blocked. |
| drupal_is_front_page | function | includes/ |
Check if the current page is the front page. |
| drupal_is_https | function | includes/ |
Checks whether an HTTPS request is being served. |
| drupal_json_decode | function | includes/ |
Converts an HTML-safe JSON string into its PHP equivalent. |
| drupal_json_encode | function | includes/ |
Converts a PHP variable into its JavaScript equivalent. |
| drupal_json_encode_helper | function | includes/ |
Encodes a PHP variable to HTML-safe JSON for PHP versions below 5.3.0. |
| drupal_json_output | function | includes/ |
Returns data in JSON format. |
| drupal_js_defaults | function | includes/ |
Constructs an array of the defaults that are used for JavaScript items. |
| drupal_language_types | function | includes/ |
Returns a list of the built-in language types. |
| drupal_load_stylesheet | function | includes/ |
Loads the stylesheet and resolves all @import commands. |
Pagination
- Previous page
- Page 49
- Next page
Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.